Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class UniteAppendMerge

    java.lang.Object
      javax.help.Merge
          javax.help.UniteAppendMerge

public class UniteAppendMerge
extends Merge

Unite-append merge type

Nested Class Summary

Nested classes inherited from class javax.help.Merge
`Merge.DefaultMergeFactory`

Constructor Summary
`UniteAppendMerge(NavigatorView master, NavigatorView slave)` Constructs UniteAppendMerge

Method Summary
`static void` | `mergeNodeChildren(javax.swing.tree.TreeNode node)` Merge Node Children.
`static void` | `mergeNodes(javax.swing.tree.TreeNode master, javax.swing.tree.TreeNode slave)` Merge Nodes.
`javax.swing.tree.TreeNode` | `processMerge(javax.swing.tree.TreeNode node)` Processes unite-append merge

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniteAppendMerge

    public UniteAppendMerge(NavigatorView master,
                            NavigatorView slave)

  Constructs UniteAppendMerge

Parameters:
  `master` - The master NavigatorView
  `slave` - The slave NavigatorView

Method Detail

### processMerge

    public javax.swing.tree.TreeNode processMerge(javax.swing.tree.TreeNode node)

  Processes unite-append merge

  Specified by:
    `processMerge` in class `Merge`
  Parameters:
    `node` - The master node
  Returns:
    Merged master node

### mergeNodes

    public static void mergeNodes(javax.swing.tree.TreeNode master,
                                  javax.swing.tree.TreeNode slave)

  Merge Nodes. Merge two nodes according to the UniteAppend merging rules

### mergeNodeChildren

    public static void mergeNodeChildren(javax.swing.tree.TreeNode node)

  Merge Node Children. Merge the children of a node according to the UniteAppend merging.

  Parameters:
    `node` - The parent node from which the children are merged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD